#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "histogram_internal.h"
#include "svg.h"


using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

//
Input input_data() {
    size_t number_count;
    cerr << "  : ";
    cin >> number_count;

    Input in;
    in.numbers.resize(number_count);

    cerr << " :\n";
    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }

    cerr << "  : ";
    cin >> in.bin_count;

    return in;
}

int main() {
    setlocale(LC_ALL, "Russian");

    auto in = input_data();

    auto bins = make_histogram(in.numbers, in.bin_count);

    double min, max;

    double bin_size = (max - min) / in.bin_count;

    //show_histogram_text(bins, bin_size);  :
    show_histogram_svg(bins);

    return 0;
}
